Saltar al contenido principal
GET
/
v1
/
governance
/
audit-logs
List audit logs
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/governance/audit-logs \
  --header 'Authorization: Bearer <token>'
{
  "hasMore": true,
  "items": [
    {
      "action": "CREATE",
      "actorId": "user@example.com",
      "changes": [
        123
      ],
      "createdAt": "2025-01-15T10:30:00.000Z",
      "entityId": "019c96a0-10a0-72d2-9fb0-2b7de8093182",
      "entityType": "reconciliation_context",
      "id": "019c96a0-0b61-71a2-8595-dde786b5bcc6",
      "tenantId": "019c96a0-0a98-7287-9a31-786e0809c769"
    }
  ],
  "limit": 20,
  "nextCursor": "eyJpZCI6IjEyMyJ9",
  "prevCursor": "eyJpZCI6IjEyMiJ9"
}

Autorizaciones

Authorization
string
header
requerido

Bearer token authentication (format: "Bearer {token}")

Encabezados

X-Request-Id
string

A unique identifier for tracing the request across services.

Parámetros de consulta

actor
string

Filter by actor ID

date_from
string

Filter logs from this date (YYYY-MM-DD or RFC3339)

date_to
string

Filter logs until this date (YYYY-MM-DD or RFC3339)

action
string

Filter by action type

entity_type
string

Filter by entity type

limit
integer
predeterminado:20

The maximum number of items to include in the response.

Rango requerido: 1 <= x <= 200
cursor
string

The cursor value for retrieving the next page of results.

Respuesta

Indicates that the request was successful and the response contains the expected data.

Paginated list of audit log entries

hasMore
boolean
Ejemplo:

true

items
object[]

List of audit log entries

limit
integer
Rango requerido: 1 <= x <= 200
Ejemplo:

20

nextCursor
string
Ejemplo:

"eyJpZCI6IjEyMyJ9"

prevCursor
string
Ejemplo:

"eyJpZCI6IjEyMiJ9"